varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec2 pixScale;

void main()
{
    /* テクスチャーカラー */
    vec4 color = texture2D(CC_Texture0, v_texCoord) * 0.111111111111111;
    float dx = pixScale.x;
    float dy = pixScale.y;
    
    color += texture2D(CC_Texture0, v_texCoord + vec2( -dx, -dy)) * 0.111111111111111;
    color += texture2D(CC_Texture0, v_texCoord + vec2( -dx, 0.0)) * 0.111111111111111;
    color += texture2D(CC_Texture0, v_texCoord + vec2( -dx,  dy)) * 0.111111111111111;

    color += texture2D(CC_Texture0, v_texCoord + vec2( 0.0, -dy)) * 0.111111111111111;
    color += texture2D(CC_Texture0, v_texCoord + vec2( 0.0,  dy)) * 0.111111111111111;

    color += texture2D(CC_Texture0, v_texCoord + vec2(  dx, -dy)) * 0.111111111111111;
    color += texture2D(CC_Texture0, v_texCoord + vec2(  dx, 0.0)) * 0.111111111111111;
    color += texture2D(CC_Texture0, v_texCoord + vec2(  dx,  dy)) * 0.111111111111111;
    gl_FragColor = v_fragmentColor * color;
}
