varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float rate;
void main()
{
    /* テクスチャーカラー */
    vec4 color = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    /* グレイに変換 */
    float gray_color = dot( color.rgb, vec3(0.299,0.587,0.114) );
    color.rgb *= ( 1.0 - rate);
    color.rgb += gray_color * rate;
    gl_FragColor = color;
}
